Subject: bug#47424: 28.0.50; enable-theme shows an empty list

From: Eli Zaretskii <[email-masked]>
Date: Sun, 04 Apr 2021 10:28:30 +0300

> From: Stefan Kangas <[email-masked]>
> Date: Sat, 3 Apr 2021 19:14:29 -0500
> Cc: [email-masked], Daniel Martín <[email-masked]>
> 
> I'm not exactly sure why we bother differentiating between loading a
> theme and enabling it.  Technically, I understand that there is a
> difference.  But why should a user have to fiddle around with it?

For the same reason that loading a Lisp package shouldn't change the
Emacs state, until the user explicitly activates the features in the
package.  It's unclean to have loading activate stuff, and we've
invested an effort during the last years to remove that uncleanliness.

With themes, you can load several ones and then enable/disable any of
them whenever you see fit.  Under your proposal, disabling a theme
would be impossible without unloading it, and that might not be easy
to do cleanly.